
QGIS Application - Bug report #10147

Unable to open File gdb with Add Vector Layer tool

2014-05-01 01:03 AM - James Duffy

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18605

Description

In QGIS 2.2.0 I am unable to select 'File GDB' from the dropdown menu when selecting 'Type' under the 'Source' submenu. This is

however not the case in QGIS 2.3.0.

History

#1 - 2014-05-03 03:56 PM - Jürgen Fischer

Which packages are you using?  Does your GDAL build support filegdb?

#2 - 2014-05-04 02:28 AM - Giovanni Manghi

- Category set to Vectors

- Status changed from Open to Feedback

What OS?

#3 - 2014-05-04 12:03 PM - James Duffy

Giovanni Manghi wrote:

What OS?

Windows 7 Home Premium. Installed with OSGEO4W.

#4 - 2014-05-04 12:04 PM - James Duffy

Jürgen Fischer wrote:

Which packages are you using?  Does your GDAL build support filegdb?

Not sure which packages you're referring to. I installed QGIS with OSGEO4W. It could be that I only updated QGIS and not the GDAL part. How can I

check this?
#5 - 2014-05-04 02:28 PM - Jürgen Fischer

James Duffy wrote:

Not sure which packages you're referring to. I installed QGIS with OSGEO4W. It could be that I only updated QGIS and not the GDAL part. How can

I check this?

did you install the gdal-filegdb package?

#6 - 2014-05-05 08:58 AM - Antonio Locandro

- File filegdb.png added

You should see something like the attached image

#7 - 2014-05-06 01:10 AM - James Duffy

When running the installer and looking at the menu showed in your attached image, gdal-filegdb is 1.11.0-1. However, I have QGIS 2.2 and 2.3 installed,

and opening filegdb works in 2.3...

#8 - 2014-06-13 11:02 AM - Antonio Locandro

Ok I can confirm this works in Master but not in QGIS 2.2, haven't noticed before since I usually start up master.

The filegbd and openfilegdb are not present in QGIS 2.2 probably since 2.2 is compiled against GDAL/OGR    1.10.1 while master is against Compiled

against GDAL/OGR 1.11.0

Any reason why 2.2 can't be compiled against 1.11.0 so filegdb can be accessed

#9 - 2014-10-11 07:15 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

filegdb.png 783 KB 2014-05-05 Antonio Locandro
